FROM pytorch/pytorch:2.1.0-cuda11.8-cudnn8-runtime

RUN apt-get update -y 
RUN pip install --no-cache-dir -U pip \
    && python -m pip install --upgrade build  

COPY requirements.docker.txt ./requirements.docker.txt
RUN pip install --no-cache-dir -r requirements.docker.txt

ENV SHARED_FOLDER_PATH "/data"
ENV JUPYTER_PASSWORD "password"
ENV PORT 8062

WORKDIR /home/llm
COPY jupyter_server_config.py /etc/jupyter/

#EXPOSE 8061 8062

ENTRYPOINT ["python","-m", "jupyterlab"]